<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>lets understand local storage</h1>
    <button onclick="
    localStorage.price++;
    alert(`${localStorage.price} is score`);
    ">increase  price </button>

    <script>
        // let score = 0;
        // let price=0;
        // const score = json.parse(localStorage.getItem('price'));
        // localStorage.setItem("price",json.stringify(price));
        
    
        if(localStorage.price >=0 ){

        }else{
            localStorage.setItem('price', 0);
        }
   </script>
</body>
</html>